[IPython-dev] [Ipython-svndiff] 2688 - use subprocess for ipy_workdir'

Fernando Perez fperez.net@gmail....
Fri Aug 31 11:51:15 CDT 2007


On 8/31/07, Ville M. Vainio <vivainio@gmail.com> wrote:
> On 8/30/07, Fernando Perez <fperez.net@gmail.com> wrote:
>
> > > +import os, subprocess
> >
> > This is a problem: subprocess is a 2.4-only module, and we're trying
> > to remain available to 2.3 users.
>
> For extensions, it's not really a problem. Here, the subprocess
> doesn't matter much, but e.g. jobctrl extension really needs it.
> Usability for ipython proper for 2.3 users is not hampered at all.
>
> Also, subprocess is available as an external module.
>
> Not directly related to this particular issue:
>
> Extensions should be thought of as "contributions that may or may not
> be useful", with quality and compatibility requirements to match -
> i.e., not much.

That's OK with me: as long as the core remains fully functional under
2.3, I'm perfectly OK with the idea that extensions may require 2.4 to
work.  I'd prefer not to have extensions that depend on 2.5, but even
that could be OK if a really good one is a pain to write under 2.4.

We just want to give 2.3 users the 'basic' ipython, which I think will
satisfy the needs of most.

Cheers,

f


More information about the IPython-dev mailing list